Skip to main content
Version: 1.5.0

Manual operations

This section of the API allows operations on the applicant to bypass the web component and various checks. For example, to upload a photo database or manually register an applicant.

Registration​

Manual registration of the applicant by photo. During registration, checks from the “Manual mode settings” section of the settings will be performed.

Endpoint: POST /publicapi/api/v2/private/Manual/Register

Request body:

{
"faceImageBase64": "string",
"applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}

Request example:

curl -X 'POST' \
'https://baf.3divi.ru/publicapi/api/v2/private/Manual/Register' \
-H 'accept: application/json' \
-H 'Content-Type: application/json-patch+json' \
-d '{ "faceImageBase64": "string", "applicantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" }'

Response example:

Status Code200

Possible errors:

HTTP codeMessageDescriptionError code
400Request is closedAttempted registration by closed applicant120040
400Applicant is already registeredAttempted registration by registered applicant150001